
;   First initiate the common block either by
;   1.  Default + offset.
;     mz0,incr    incr is a long integer.  If it is missing, one is
;      chosen based on the time
;   2.    You choose the four seed numbers (long integers).  Use
;     mzset,seed0      where seed0 is a long array of length 4
;
;   Generate the numbers
;   Running  mzrn(nran) with nran being a positive long integer
;     gives a floating array of nran random numbers
;
;   Get the current seed
;   Running mzsd() gives a long integer array with the four seeds
;
;
    pro mz0,incr
    common mzrn,ii,jj,kk,nn
    if n_params() eq 0 then incr=long(long64(systime(1))-1214826281l)
    ; print,incr
    ii=521288629l & jj=362436069l & kk=16163801l
    nn=1131199299l+incr
    return
    end

    pro mzset,seed0
    common mzrn,ii,jj,kk,nn
    ii=seed0(0) & jj=seed0(1) & kk=seed0(2) & nn=seed0(3)
    return
    end

    function mzsd,seed
    common mzrn,ii,jj,kk,nn
    return,[ii,jj,kk,nn]
    end

    function mzrn,nran
    common mzrn,ii,jj,kk,nn
    x=fltarr(nran)
    for iter=0l,nran-1l do begin
        mzran=ii-kk
        if mzran lt 0l then mzran=mzran+2147483579l
        ii=jj & jj=kk & kk=mzran
        nn=69069l*nn+1013904243l ;& if iter lt 5l then print,mzran+nn
        x(iter)=0.5+0.2328306e-9*float(mzran+nn)
    endfor
    return,x
    end