; Allocate a block of memory for trace_cluster that is large enougth to deal
; with the given maximum coordinate and the given number of points.
; The output of this function is "cleared" and ready for use.

; This function is obsolete with the introduction of the new "mem" format:
; bi2markov and trace_cluster_mem.pro now handles what this function used to
; do.

function trace_cluster_malloc,n_points,max_coord
    dim = max_coord*2l + 3l
    mem = { $
       ; The cluster sites counter. Holds the number of points that are
       ; connected to the starting point and that are not adjacent to any
       ; "unnoticed" points.
       cluster_n:0l, $

       ; The "todo" stack. This contains all occupied points that are adjacent
       ; to some point(s) counted in cluster_n but might be adjacent to some
       ; points we haven't noticed yet. Points in this stack are removed here
       ; (and then counted in cluster_n) once we check for any unnoticed
       ; neighbors.
       todo:lonarr(n_points, /NOZERO), todo_n:0l, $

       ; The perimeter sites stack. This contains all occupied points that are
       ; adjacent to some point(s) counted in cluster_n but are not themselves
       ; occupied. When all cluster points have been counted, this stack will
       ; contain the cluster's perimeter points
       perim:lonarr(2l*n_points + 2l, /NOZERO), perim_n:0l, $

       ; The "map": a square array of dimension map_dim. Each element in this
       ; array corresponds to a position. A value equal to map_occupied means
       ; that the location occupied but is not in the todo or perim arrays nor
       ; has been counted in cluster_n (i.e. it has not been "noticed"). A
       ; value equal to map_noticed that the location is "noticed" and is
       ; either occupied or is perimeter site. Any other value means that the
       ; location is either unoccupied or an unnoticed perimeter site. Note
       ; that we use variables rather than fixed constants for these states to
       ; facilitate fast "clearing" of this map; see trace_cluster_memclear
       map:uintarr(dim, dim), map_dim:dim, map_occupied:1U, map_noticed:2U }
    return, mem
end