; Clear the contents of trace_cluster's memory.
; Once you call trace_cluster with a certan mem, you *must* run this procedure
; on it before you use it in another trace_cluster call.
pro trace_cluster_memclear,mem
    mem.cluster_n = 0l
    mem.todo_n = 0l
    mem.perim_n = 0l
    ; If map_occupied and map_noticed are about to overflow, zero the map and
    ; set map_occupied and map_noticed back to default values.
    if mem.map_noticed EQ 65534U then begin
       ; IDL has decreed that mem.map is not a "named variable", and so I can't
       ; use replicate_inplace. I hate IDL.
       ; replicate_inplace, mem.map, 0U
       mem.map[*] = 0U
       mem.map_occupied = 1U
       mem.map_noticed = 2U
    endif else begin
       ; Otherwise, we can effect a "quick" resetting by incrementing
       ; map_occupied and map_noticed to values that are greater than any
       ; possible value of any map[] element.
       mem.map_occupied += 2U
       mem.map_noticed += 2U
    endelse
end