; Convert 2-dimensional coordinate pairs into 1-dimensional map indexes. See 
; section 3.2 in the final report for background info.
; Parameters:
;  point - the array containing coordinate pair(s) to convert.
;  dim - the width of the map which the unis will be indexes for.
;  origin_shift - the distance between the point [0, 0] and the left and bottom edges of the map.
function bi2uni,point,dim,origin_shift
    origin_shift = long(origin_shift)
    output = dim*(point[1, *] + origin_shift) + (point[0, *] + origin_shift)
    return, reform(output, N_ELEMENTS(output), /OVERWRITE)
end
