; dndp: an implementation of the function dndp/k, as described in section 4.2 of
; the final report. This is designed to be used with zero-finding algorithms
; (see dndp_zero.pro for an example). The behavior of this function depends on
; parameters set by dndp_set.

; Description of variables in the common block:
; s: the cluster size we are working with
; t: the perimeter lengths a cluster this size may have
; gst: the perimeter length distribution for this cluster size; Each element in
;    this array corresponds to the t[] element at the same index

function dndp,p
    common dndp_params, s, t, gst
    n_inputs = n_elements(p)
    outputs = dblarr(n_inputs, /nozero)
    p = double(p)
    q = 1d - p
    for i=0l,n_inputs-1l do outputs[i] = s*total((q[i]^t)*gst) - p[i]*total(t*(q[i]^(t-1))*gst)
    return, outputs
end
