; Setup the "constants" of the dndp function (see dndp.pro)
; Parameters:
;  new_cluster_size - the cluster size that dndp should be computed for
;  new_gst - an array containing the g_{st}/k values with which dndp should be
;    evaluated (where k is some arbitrary and entirely unimportant constant).
;    The value g_{st}/k should be found in the element at index t-1. The
;    frequency tables generated from markov_chain and friends will work
;    perfectly here.
pro dndp_set, new_cluster_size, new_gst
    common dndp_params, cluster_size, perims, gst
    cluster_size = new_cluster_size
    perims = indgen(n_elements(new_gst))+1
    gst = new_gst
end
