; Accepts two sets of frequency tables, accepted and fit_to. (These are in the 
; format of sim and enum). From these, extract the frequency tables that 
; correspond to the given cluster size. Then, use the procedure in compare.pro to 
; compare the frequency table extracted from accepted and compare it to a 
; Gaussian curve (i.e. normal distribution) fitted to the table from fit_to.
pro gauss_compare, cluster_size, accepted, fit_to
    accepted_hist = accepted[*, cluster_size-1]
    fit_to_hist = fit_to[*, cluster_size-1]
    fitted_perim = indgen(n_elements(fit_to_hist)) + 1
    fitted = gaussfit(fitted_perim, fit_to_hist)

    compare, accepted_hist, fitted
end
