; Used to generate gauss_sim
; Each row contains (in order) the mean and standard deviation of the normal
; distribution that approximates the corresponding (i.e. same row index)
; histogram in sim[].
function gauss_sim_gen, sim
    max_cluster_size = (size(sim))[2]
    gauss_sim = dblarr(2, max_cluster_size)
    perim = indgen(2ul*max_cluster_size+2ul)+1
    for i=0,max_cluster_size-1l do begin
       if total(sim[*, i]) GT 0 then begin
           junk = gaussfit(perim, sim[*, i], coefficents, nterms=3)
           ; Save t_0
           gauss_sim[0, i] = coefficents[1]
           ; Save \sigma:
           gauss_sim[1, i] = coefficents[2]
       endif
    endfor

    return, gauss_sim
end

; Suggested plot command
; plot, where(gauss_sim[1, *])+1, gauss_sim[1, where(gauss_sim[1, *])], psym=-1