; Using the given cluster (in markov form), run the markov chain for a certan
; number of iterations. Returns an array of "histograms"; each histogram is a
; copy of the markov_chain histogram that is generated by a specified number of
; iterations; this number is given by the corresponding element in steps. Each
; element in steps must be a positive integer that is greater than the
; previous element.
function markov_progressive,mem,steps
    iters = n_elements(steps)
    cluster_size = n_elements(points)
    trend = ulon64arr(cluster_size*2l + 2l, iters, /nozero)

    cumalative_hist = ulon64arr(cluster_size*2l + 2l)
    prev = 0ull
    for i=0,iters-1 do begin
       curr = steps[i]
       cumalative_hist += markov_interruptible(mem, curr - prev)
       trend[*, i] = cumalative_hist
       prev = curr
    endfor

    return, trend
end