; Generate a floating-point array containing nran random numbers by the "mzran"
; algorithm described in Marsiglia and Zaman ("MZ"), Computers in Physics, 8, 
; 107 (1994)
; These numbers are in the range 0 <= n < 1.
function mzrand,nran
    common mzrn,ii,jj,kk,nn
    x=fltarr(nran)
    for iter=0l,nran-1l do begin
        mzran=ii-kk
        if mzran lt 0l then mzran=mzran+2147483579l
        ii=jj & jj=kk & kk=mzran
        nn=69069l*nn+1013904243l ;& if iter lt 5l then print,mzran+nn
        x(iter)=0.5+0.2328306e-9*float(mzran+nn)
    endfor
    return,x
end
